Skip to content

Approve or reject a join request (admin only)

PATCH
/team/join-requests
curl --request PATCH \
--url https://example.com/api/team/join-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "requestId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "action": "approve", "billingAccountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'

Request updates are scoped to the resolved billing account.

Media type application/json
object
requestId
required
string format: uuid
action
required
string
Allowed values: approve reject
billingAccountId
string format: uuid

Request processed

Media type application/json
object
success
required
boolean

Invalid request

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number

Not authenticated

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number
reconnect

True if re-linking GitHub may fix the issue

boolean

Forbidden

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number

Multiple billing accounts; pass billingAccountId.